Get a card by its id
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/cards/{cardId} \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/cards/{cardId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/cards/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "physical",
"status": "notActivated",
"last4": "<string>",
"expirationMonth": "<string>",
"expirationYear": "<string>",
"limit": {
"amount": 123,
"frequency": "per24HourPeriod"
},
"tokenWallets": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Cards
Get a card by its id
GET
/
issuing
/
cards
/
{cardId}
Get a card by its id
Authorizations
Path Parameters
Id of the card to get
Response
Successful operation
Available options:
physical, virtual Available options:
notActivated, active, locked, canceled Show child attributes
Show child attributes
The name of the wallet that the tokenized card was added to
When the card was created
When the card was last updated